#include "SimpleParser.hh"

int main(int argc, char *argv[])
{
  try
  {
    if (argc!=2)
      cout << "usage: SimpleParser <filename>" << endl;
    else
    {
      DefaultCallback cb;
      SimpleParser<DefaultCallback> parser(cb);

      ifstream in;
      in.open(argv[1]);

      parser.setAutoLinearize(true);
      parser.setInput(in);
      parser.parse();
   }
  }
  catch(exception &e)
  {
    cout.flush();
    cerr << "ERROR: " << e.what() << endl;
  }

  return 0;
}
